<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
switch($act){
default:
echo '<div class="title"><b>'.razd.' Админ-Панель | Бан по IP</b></div>';
################################################################################
echo '<div class="menu"><i class="fa fa-expeditedssl fa-fw"></i> <a href="'.URL.'/_banip-add">Забанить IP</a></div>';				
################################################################################			
			
$k_post = DB :: run() -> querySingle("select count(`id`) from `banip`");			
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `banip` where `id` order by `id` desc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Забаненных IP еще нет!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%"><tr><td><center>Дата</center></td><td><center>IP</center></td><td><center>Действие</center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.date('d.m.Y H:i', $row -> time).'</center></td><td><center>'.checkout($row -> ips).'</center></td>
<td><center><a href="'.URL.'/_banip-unban'.((int) $row -> id).'">Разбанить</a></center></td></tr>';
}
echo '</table>';

if ($k_page > 1) navigation(URL.'/_banip?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';
break;
################################################################################		
case 'add':
echo '<div class="title"><b>'.razd.' Админ-Панель | Забанить IP</b></div>';
################################################################################			

$error = null;
				
if (isset($_POST['ips'])){

$ips = isset($_POST['ips']) ? filter_var($_POST['ips'], FILTER_VALIDATE_IP, FILTER_FLAG_IPV4) : false;

if (empty($ips)){
          $error.= 'Введите IP адрес!<br/>';
} elseif(!preg_match('#^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$#', $ips)){
          $error.= 'Неверный формат IP-адреса!<br/>';
}

if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {

if (DB :: run() -> query("insert into `banip` (`time`, `ips`) values (?, ?)", array(TIME, $ip))){

header('Location: '.URL.'/_banip');
$_SESSION['success'] = 'IP адрес успешно забанен!';
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> IP адрес не забанен!</center></div>';
}
}
}
				
echo '<div class="menu"><form name="form" action="'.URL.'/_banip-add" method="post">
* Введите IP:<br/><input type="text" name="ips" maxlength="50" value=""/><br/>
<input type="submit" value="Банить IP"/></form></div>';

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_banip">Бан по IP</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';				

break;
################################################################################
case 'unban':

if (isset($_GET['id'])){

$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';

if (DB :: run() -> querySingle("select count(`id`) from `banip` where `id` = ?", array($id))){
DB :: run() -> query("delete from `banip` where `id` = ?", array($id));
header('Location: '.URL.'/_banip');
$_SESSION['success'] = 'IP успешно разбанен!';
} else {
header('Location: '.URL.'/_banip');
$_SESSION['fail'] = 'IP не разбанен!';
}
} else {
header('Location: '.URL.'/_banip');
$_SESSION['fail'] = 'Действие запрещено!';
}

break;
################################################################################
}
} else {
echo '<div class="title"><center>Проверка прав доступа</center></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>